# query

Endpoint: POST /api/knowledge_bases/{id}/query
Version: 1.0.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `function` (string, required)

  - `arguments` (object, required)

  - `arguments.query` (string)

  - `arguments.keywords` (string)

  - `arguments.tables` (string)

  - `arguments.statement` (string)

## Response 200:

  - `200` (unknown)
    formats using formatType=MARKDOWN_KV with a truncated message

## Response 200 fields (application/json):

  - `content` (string, required)

## Response 422:

  - `422` (unknown)
    rejects unknown function

## Response 422 fields (application/json):

  - `status` (string, required)

  - `error` (string, required)

